#include <iostream>

using namespace std;

int main() {
    int N, L;
    cin >> N >> L;
    int R = -1;
    for (int i = 1; i <= N; i += 1) {
        int H;
        cin >> H;
        if (R == -1 && H <= L) {
            R = i;
        }
    }
    cout << R;
    return 0;
}